Bug 1875532 - usbhid-ups / hid-generic fails connecting Eaton 5E UPS with: usb_submit_urb(ctrl) failed: -1
Summary: usbhid-ups / hid-generic fails connecting Eaton 5E UPS with: usb_submit_urb(c...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 34
Hardware: x86_64
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-03 17:53 UTC by Anthony
Modified: 2022-06-07 22:27 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-06-07 22:27:37 UTC
Type: Bug


Attachments (Terms of Use)
Kernel log (90.32 KB, text/plain)
2020-09-03 17:53 UTC, Anthony
no flags Details
DMESG dump from FC32 with kernel 5.9.9-100 (84.40 KB, text/plain)
2020-11-25 07:58 UTC, Anthony
no flags Details

Description Anthony 2020-09-03 17:53:01 UTC
Created attachment 1713666 [details]
Kernel log

1. Please describe the problem:

When connecting an Eaton 5E UPS to the PC running Fedora 31 (or Live image of 32) the usb device is detected but goes into a loop with a hid-generic fail.


2. What is the Version-Release number of the kernel:

5.7.15-100

3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

Not known only got this UPS now, but it does work on a live debian image which had a 4.6 kernel.


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

Plug in UPS and observe the dmesg logs, the following continiously appears:

[   93.568082] usb 1-6: new full-speed USB device number 9 using xhci_hcd
[   94.311469] usb 1-6: New USB device found, idVendor=0463, idProduct=ffff, bcdDevice= 0.01
[   94.311475] usb 1-6: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[   94.311483] usb 1-6: Product: 5E
[   94.311486] usb 1-6: Manufacturer: EATON
[   96.269989] hid-generic 0003:0463:FFFF.000A: hiddev96,hidraw2: USB HID v1.10 Device [EATON 5E] on usb-0000:00:14.0-6/input0
[  107.369425] hid-generic 0003:0463:FFFF.000A: usb_submit_urb(ctrl) failed: -1
[  107.369469] hid-generic 0003:0463:FFFF.000A: timeout initializing reports
[  112.828826] usb 1-6: USB disconnect, device number 9
[  113.284452] usb 1-6: new full-speed USB device number 10 using xhci_hcd
[  114.027693] usb 1-6: New USB device found, idVendor=0463, idProduct=ffff, bcdDevice= 0.01
[  114.027698] usb 1-6: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[  114.027701] usb 1-6: Product: 5E
[  114.027704] usb 1-6: Manufacturer: EATON
[  115.984222] hid-generic 0003:0463:FFFF.000B: hiddev96,hidraw2: USB HID v1.10 Device [EATON 5E] on usb-0000:00:14.0-6/input0
[  126.825756] hid-generic 0003:0463:FFFF.000B: usb_submit_urb(ctrl) failed: -1
[  126.825775] hid-generic 0003:0463:FFFF.000B: timeout initializing reports
[  132.527809] usb 1-6: USB disconnect, device number 10

5. Does this problem occur with the latest Rawhide kernel? To install the
   Rawhide kernel, run ``sudo dnf install fedora-repos-rawhide`` followed by
   ``sudo dnf update --enablerepo=rawhide kernel``:

Have not tried this do not want to disturb my current setup.


6. Are you running any modules that not shipped with directly Fedora's kernel?:

No, also note that this problem occured on a fresh Fedora 32 live USB.


7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Anthony 2020-09-03 18:21:01 UTC
Adding the following information:

Adding the kernel parameter "usbhid.quirks=0x0463:0xffff:0x08" resolves the issue and was taken from this bug which was never addressed:

https://bugzilla.redhat.com/show_bug.cgi?id=1715504

Can the kernel be fixed to not need to quirk added, as I specified, other distros do not have this issue, or at least Debian does not seem to have it.

Comment 2 Ben Cotton 2020-11-03 17:11:14 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2020-11-24 17:24:11 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Anthony 2020-11-25 07:58:30 UTC
Created attachment 1733285 [details]
DMESG dump from FC32 with kernel 5.9.9-100

DMESG dump from FC32 with kernel 5.9.9-100

Comment 5 Anthony 2020-11-25 07:59:50 UTC
Reopened this bug as it is still present on FC32 with kernel 5.9.9-100

Comment 6 Fedora Program Management 2021-04-29 17:06:06 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Frantisek Hanzlik 2021-05-19 04:16:37 UTC
This bug still exist on Fedora 34 x86_64 / kernel 5.11.20-300.fc34.x86_64 - see below.
I not know how to raise version from 32 to 34, can someone?

May 19 05:53:22 janulka kernel: usb 2-1.1: new low-speed USB device number 70 using ehci-pci
May 19 05:53:23 janulka kernel: usb 2-1.1: New USB device found, idVendor=0463, idProduct=ffff, bcdDevice= 0.01
May 19 05:53:23 janulka kernel: usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
May 19 05:53:23 janulka kernel: usb 2-1.1: Product: 5E
May 19 05:53:23 janulka kernel: usb 2-1.1: Manufacturer: EATON
May 19 05:53:24 janulka kernel: hid-generic 0003:0463:FFFF.0647: hiddev96,hidraw0: USB HID v1.10 Device [EATON 5E] on usb-0000:00:1d.0-1.1/input0
May 19 05:53:24 janulka journal[1195]: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1
May 19 05:53:31 janulka kernel: usb 2-1.1: USB disconnect, device number 70
May 19 05:53:32 janulka kernel: usb 2-1.1: new low-speed USB device number 71 using ehci-pci
May 19 05:53:32 janulka kernel: usb 2-1.1: New USB device found, idVendor=0463, idProduct=ffff, bcdDevice= 0.01
May 19 05:53:32 janulka kernel: usb 2-1.1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
May 19 05:53:32 janulka kernel: usb 2-1.1: Product: 5E
May 19 05:53:32 janulka kernel: usb 2-1.1: Manufacturer: EATON
May 19 05:53:34 janulka kernel: hid-generic 0003:0463:FFFF.0648: hiddev96,hidraw0: USB HID v1.10 Device [EATON 5E] on usb-0000:00:1d.0-1.1/input0
May 19 05:53:34 janulka journal[1195]: treating change event as add on /sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.1
May 19 05:53:44 janulka kernel: hid-generic 0003:0463:FFFF.0648: usb_submit_urb(ctrl) failed: -1
May 19 05:53:44 janulka kernel: hid-generic 0003:0463:FFFF.0648: timeout initializing reports
May 19 05:53:50 janulka upsd[74389]: Can't connect to UPS [eaton5e] (usbhid-ups-eaton5e): No such file or directory
May 19 05:53:50 janulka upsd[74389]: Can't connect to UPS [eaton5e] (usbhid-ups-eaton5e): No such file or directory
May 19 05:53:50 janulka kernel: usb 2-1.1: USB disconnect, device number 71
May 19 05:53:51 janulka kernel: usb 2-1.1: new low-speed USB device number 72 using ehci-pci

Comment 8 Frantisek Hanzlik 2021-05-19 04:33:27 UTC
I can confirm, that adding the kernel parameter "usbhid.quirks=0x0463:0xffff:0x08" resolves the issue (on Fedora 34 x86_64 / kernel 5.11.20-300.fc34.x86_64)

Comment 9 Anthony 2021-05-19 05:50:08 UTC
Thanks Frantisek I hae updated it to 34 (maybe because I reported it I coudl do this). HOwever I cant see the developers fixing this as it has been aroudn for a few years now without any interest.

Comment 10 Ben Cotton 2022-05-12 15:37:40 UTC
This message is a reminder that Fedora Linux 34 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 34 on 2022-06-07.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '34'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 34 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 11 Ben Cotton 2022-06-07 22:27:37 UTC
Fedora Linux 34 entered end-of-life (EOL) status on 2022-06-07.

Fedora Linux 34 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.